# TODO: use gtk4-update-icon-cache
Summary:	GNOME Disk Usage Analyzer
Summary(pl.UTF-8):	Analizator wykorzystania dysku dla GNOME
Name:		baobab
Version:	48.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/baobab/48/%{name}-%{version}.tar.xz
# Source0-md5:	151c767228ab15b552705896e5b9da5e
Patch0:		%{name}-desktop.patch
URL:		https://apps.gnome.org/Baobab/
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.44
BuildRequires:	gtk4-devel >= 4.15.1
BuildRequires:	libadwaita-devel >= 1.6
BuildRequires:	meson >= 0.59.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	rpmbuild(find_lang) >= 1.35
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.38.0.11
BuildRequires:	vala-libadwaita >= 1.6
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.44
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.44
Requires:	gtk4 >= 4.15.1
Requires:	hicolor-icon-theme
Requires:	libadwaita >= 1.6
Provides:	gnome-utils-baobab = 1:%{version}-%{release}
Obsoletes:	gnome-utils-baobab < 1:3.3.2-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Baobab is a simple application which can scan either specific folders
(local or remote) or volumes and give a graphical representation
including each directory size or percentage in the branch. It also
auto-detects any mounted/unmounted device.

%description -l pl.UTF-8
Baobab to prosta aplikacja, która potrafi przeszukać określone
katalogi (lokalne lub zdalne) lub wolumeny i podać graficzną
reprezentację rozmiaru każdego katalogu lub jego udziału procentowego
w gałęzi. Wykrywa także dowolne zamontowane/odmontowane urządzenia.

%prep
%setup -q
%patch -P0 -p1

%build
%meson

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

# not supported by glibc (as of 2.37)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_bindir}/baobab
%{_datadir}/dbus-1/services/org.gnome.baobab.service
%{_datadir}/glib-2.0/schemas/org.gnome.baobab.gschema.xml
%{_datadir}/metainfo/org.gnome.baobab.metainfo.xml
%{_desktopdir}/org.gnome.baobab.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.baobab.svg
%{_iconsdir}/hicolor/scalable/apps/org.gnome.baobab.Devel.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.baobab-symbolic.svg
%{_mandir}/man1/baobab.1*
%changelog
* Fri May 09 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/baobab.git;a=log;h=master

* Wed Apr 30 2025 Jakub Bogusz <qboosh@pld-linux.org> 65d52b9
- updated to 48.0

* Tue Apr 29 2025 Jakub Bogusz <qboosh@pld-linux.org> b5edb91
- updated meson macros

* Tue Apr 29 2025 Jakub Bogusz <qboosh@pld-linux.org> 1e90b34
- use patch -P

* Fri Sep 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 159034c
- updated to 47.0

* Sat May 18 2024 Jakub Bogusz <qboosh@pld-linux.org> 7401044
- updated to 46.0

* Sat Oct 28 2023 Jakub Bogusz <qboosh@pld-linux.org> cf8e080
- updated to 45.0

* Tue Jul 25 2023 Jakub Bogusz <qboosh@pld-linux.org> 1ad1478
- drop ie locale, release 2

* Mon Jul 24 2023 Jakub Bogusz <qboosh@pld-linux.org> e0f82ba
- updated to 44.0

* Mon May 15 2023 Jakub Bogusz <qboosh@pld-linux.org> 11d0078
- updated to 43.0

* Sun Apr 17 2022 Jakub Bogusz <qboosh@pld-linux.org> f5d9a2c
- updated to 42.0

* Wed Sep 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 060e8e8
- updated to 41.0

* Sun Mar 28 2021 Jakub Bogusz <qboosh@pld-linux.org> 0e86a59
- rediffed desktop patch
- BR: vala-libhandy1
- release 2

* Sat Mar 27 2021 Jakub Bogusz <qboosh@pld-linux.org> 97108fa
- updated to 40.0

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> e81dcd5
- updated to 3.38.0

* Sun Jun 28 2020 Jakub Bogusz <qboosh@pld-linux.org> 557d064
- updated to 3.34.1

* Thu Oct 31 2019 Jakub Bogusz <qboosh@pld-linux.org> 6bc30cf
- updated to 3.34.0

* Sun Jan 27 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 02edaa6
- Updated to 3.30.0

* Tue Oct 24 2017 Marcin Banasiak <marcin.banasiak@gmail.com> eca80c9
- Update to 3.26.1

* Wed Mar 29 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 7959047
- Update to 3.24.0

* Tue Dec 27 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 6cae16b
- Update to 3.22.1

